<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="performedAction | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">
  <form class="ls-form">

    <div class="form-group">
      <label
        for="publicAnnotation"
        [innerText]="commonMessages.PUBLIC_ANNOTATION"></label>
      <textarea
        id="publicAnnotation"
        class="form-control"
        [(ngModel)]="publicAnnotation"
        [maxLength]="annotationMaxSize"
        rows="3">
      </textarea>
    </div>

    <div class="form-group">
      <label
        for="privateAnnotation"
        [innerText]="commonMessages.PRIVATE_ANNOTATION">
      </label>
      <textarea
        id="privateAnnotation"
        class="form-control"
        [(ngModel)]="privateAnnotation"
        [maxLength]="annotationMaxSize"
        rows="3">
      </textarea>
    </div>


    <div class="form-group">
      <label
        for="targetDeskSelector"
        [innerText]="messages.TARGET_DESK">
      </label>
      <app-desk-search-input
        id="targetDeskSelector"
        [multiple]="false"
        [clearable]="false"
        [genericValidatorsAvailable]="false"
        [retrieveDeskFunction]="retrieveDesksFn"
        [(desks)]="targetDesks"
        [autoSelectIfSingle]="true"
        #deskSelector>
      </app-desk-search-input>
    </div>
  </form>
</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button (click)="perform()"
    [processing]="isProcessing"
    [text]="performedAction | actionName: true"
    [iconSize]="iconSize.SMALL"
    [disabled]="targetDesks.length === 0"
    [icon]="performedAction | actionIcon">
  </button>
</div>
